Skip to content

Update entity commands

PUT
/v3/tasking/entity/{entityId}/commands
curl --request PUT \
--url https://us-gov.legion.picogrid.com/v3/tasking/entity/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/commands \
--header 'Content-Type: application/json' \
--data '{ "commands": "{\\\"Restart\\\": {\\\"type\\\": \\\"object\\\", \\\"properties\\\": {\\\"delay\\\": {\\\"type\\\": \\\"integer\\\"}}}, \\\"Shutdown\\\": {\\\"type\\\": \\\"object\\\", \\\"properties\\\": {\\\"force\\\": {\\\"type\\\": \\\"boolean\\\"}}}}" }'

Updates commands for the specified entity ID.

entityId
required
string format: uuid
Media typeapplication/json
object
commands
required
object
Example
{\"Restart\": {\"type\": \"object\", \"properties\": {\"delay\": {\"type\": \"integer\"}}}, \"Shutdown\": {\"type\": \"object\", \"properties\": {\"force\": {\"type\": \"boolean\"}}}}

Successful response

Media typeapplication/json
object
commands
required
object
created_at
required
string
/^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:\d{2})$/
entity_id
required
string format: uuid
id
required
string format: uuid
updated_at
required
string
/^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:\d{2})$/
Example
{
"commands": "{\\\"Restart\\\": {\\\"type\\\": \\\"object\\\", \\\"properties\\\": {\\\"delay\\\": {\\\"type\\\": \\\"integer\\\"}}}, \\\"Shutdown\\\": {\\\"type\\\": \\\"object\\\", \\\"properties\\\": {\\\"force\\\": {\\\"type\\\": \\\"boolean\\\"}}}}",
"created_at": "2023-01-01T10:00:00Z",
"entity_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f",
"updated_at": "2023-01-15T15:30:45Z"
}

Bad Request

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "400",
"details": "sample_value",
"message": "Request cannot be processed due to invalid input",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Unauthorized

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "401",
"details": "sample_value",
"message": "Authentication credentials are missing or invalid",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Forbidden

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "403",
"details": "sample_value",
"message": "Access denied: insufficient permissions for this resource",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Not Found

Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{
"code": "404",
"details": "sample_value",
"message": "The requested resource could not be found",
"status": "error",
"timestamp": "2025-01-15T14:32:45Z",
"trace_id": "req_2J9K8L7M6N5P4Q3R"
}

Internal Server Error

Media typeapplication/json
object
category
required

The category of the error

string
code
required

The HTTP status code

number
details
required

Additional details about the error

Array<object>
object
field

The field that caused the error

string
issue

The specific issue with the field

string
message
required

A human-readable error message

string
status
required

The status of the response, always ‘error’ for error responses

string
timestamp
required

The timestamp when the error occurred

string format: date-time
trace_id
required

A unique identifier for tracing the error

string format: uuid
Example
{
"category": "server_error",
"code": "500",
"details": [
{
"field": "field_name",
"issue": "Field validation issue"
}
],
"message": "Internal Server Error",
"status": "error",
"timestamp": "2024-03-15T10:30:00Z",
"trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"
}

Version 3.0.0 · commit 0771262